//
// WallHorizontal.cpp
//

#include "DisplayManager.h"
#include "WallHorizontal.h"

WallHorizontal::WallHorizontal(df::Vector p) {
  setPosition(p);
}

// Draw horizontal wall.
int WallHorizontal::draw() {
  int ret = 0;
  for (int i=0; i<=0; i++) {
    df::Vector temp = getPosition();
    temp.setX(getPosition().getX()+i);
    ret += DM.drawCh(temp, '_', df::WHITE); 
  }
  return ret;
}
