//
// Path.cpp
// 

#include "DisplayManager.h"
#include "Path.h"
#include "WorldManager.h"

#define PATH_CHAR '#'
#define PATH_COLOR df::RED

Path::Path(df::Vector p) {
  setType("Path");
  setSolidness(df::SPECTRAL);

  // Draw on top.
  setAltitude(df::MAX_ALTITUDE-1);

  setPosition(p);
}

int Path::draw() {
  return DM.drawCh(getPosition(), PATH_CHAR, PATH_COLOR); 
}
